Subject: Re: [bug#30159] [PATCH 1/2] gnu: Add deluge.
From: Marius Bakke <[email-masked]>
To: Nam Nguyen <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Sat, 24 Nov 2018 01:56:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Nam Nguyen <[email-masked]> writes:

> Hi all,
>
> I used Mike's work to successfully write a recipe for deluge. I hope this
> is the correct place to post these patches.
>
> python2-service-identity is added so that deluge can verify TLS certificates
> with pyopenssl.

Hi Nam,

Thank you for these patches!

I've applied all three with minor changes:

* The libtorrent C++ fix was moved into libtorrent itself instead of a
  separate package.
* Dropped 'gettext' and 'setuptools' inputs from Deluge as they appeared
  unused.
* Added copyright notices for you in the relevant places.

Hope this was okay, and welcome to Guix!